property spriteNum, mySprite, offMember, onMember, downmember, QTchannel

on getPropertyDescriptionList
  description = [#QTchannel: [#comment: "QT sprite channel", #default: 0, #format: #integer]]
  return description
end

on beginSprite me
  mySprite = sprite(spriteNum)
  offMember = mySprite.member.number
  onMember = offMember + 1
  downmember = offMember + 2
end

on mouseEnter me
  mySprite.member = member(onMember)
end

on mouseLeave me
  mySprite.member = member(offMember)
end

on mouseDown me
  mySprite.member = member(downmember)
end

on mouseUp me
  if member(offMember).name contains "pause" then
    mySprite.member = member("Play")
    updateStage()
    sprite(QTchannel).movieRate = 0
    offMember = mySprite.member.number
    onMember = offMember + 1
    downmember = offMember + 2
  else
    if member(offMember).name contains "play" then
      mySprite.member = member("Pause")
      updateStage()
      sprite(QTchannel).movieRate = 1
      offMember = mySprite.member.number
      onMember = offMember + 1
      downmember = offMember + 2
    end if
  end if
end
