global photoDL, logoDL, bioDL, layoutDL, ProNoteDL, saveMode, downloadList, gSep, defaultFolder

on doDownload
  abortSave = 0
  if (saveMode <> 0) and (saveMode <> 99) then
    case saveMode of
      1:
        destPath = baSysFolder("desktop") & defaultFolder & gSep
        if not baFolderExists(destPath) then
          checkError = baCreateFolder(destPath)
          if checkError = 0 then
            abortSave = 1
            alert("Unable to create folder" & QUOTE & defaultFolder & QUOTE & "on your desktop.  Download aborted.")
          end if
        end if
      2:
        FileObj = new(xtra("fileio"))
        x = displaySave(FileObj, "Select folder", "save here")
        if x = EMPTY then
          abortSave = 1
        else
          n = offset("save here", x)
          destPath = x.char[1..n - 1]
        end if
        FileObj = 0
    end case
    if not abortSave then
      copyObj = new(xtra("ProgressCopy"), 0, the stageLeft + 180, the stageTop + 150)
      setBarColors(copyObj, 3, 249)
      capFile = new(xtra("FileIO"))
      openFile(capFile, destPath & "captions.txt", 2)
      if error(capFile, status(capFile)) = "OK" then
        setPosition(capFile, getLength(capFile))
      else
        createFile(capFile, destPath & "captions.txt")
        openFile(capFile, destPath & "captions.txt", 2)
      end if
      writeString(capFile, member("header.txt").text)
      writeString(capFile, the short time && the date & RETURN & RETURN & RETURN)
      writeString(capFile, "You have downloaded the following photo files:" & RETURN & RETURN)
      if photoDL.count then
        i = 1
        repeat while i <= photoDL.count
          copyString = getCaption(photoDL[i])
          writeString(capFile, copyString & RETURN & RETURN)
          i = 1 + i
        end repeat
      end if
      writeString(capFile, member("copyright.txt").text)
      closeFile(capFile)
      capFile = 0
      temp = the itemDelimiter
      the itemDelimiter = gSep
      i = 1
      repeat while i <= downloadList.count
        SourceFile = downloadList[i]
        endfile = the last item in SourceFile
        setStrings(copyObj, EMPTY, "Downloading" & QUOTE & endfile & QUOTE, EMPTY)
        copyFile(copyObj, SourceFile, destPath & endfile, 1, 1, 1)
        i = 1 + i
      end repeat
      the itemDelimiter = temp
      copyObj = 0
      saveMode = 99
      downloadList = []
      photoDL = []
      bioDL = []
      logoDL = []
      layoutDL = []
      ProNoteDL = []
      sendAllSprites(#resetHilite)
      sendAllSprites(#reSetSelect)
    end if
  end if
end

on getCaption photoindex
  captions = member("captions").text
  totalLines = captions.line.count
  capText = EMPTY
  n = 0
  i = 1
  repeat while i <= totalLines
    if photoindex = captions.line[i].word[1] then
      n = i
      exit repeat
    end if
    i = 1 + i
  end repeat
  if n then
    goNext = 1
    repeat while goNext
      i = i + 1
      if (captions.line[i].word[1] = "(c)") or (captions.line[i].word[i] = "©") then
        m = i - 1
        goNext = 0
      end if
    end repeat
  end if
  capText = captions.line[n..m]
  return capText
end
