property timeGap, pictChan
global thumbList, currNum, totalPhoto

on getPropertyDescriptionList
  description = [#timeGap: [#comment: "Display time for each picture (sec)", #default: 30, #format: #integer], #pictChan: [#comment: "Sprite channel for the picture", #default: 0, #format: #integer]]
  return description
end

on beginSprite me
  put currNum & "/" & totalPhoto into field "count"
  currPhoto = thumbList[currNum]
  sprite(pictChan).member = member(currPhoto & ".TIF")
  timeout("slide").new(timeGap * 1000, #advanceSlide, me)
end

on advanceSlide me
  currNum = currNum + 1
  if currNum > totalPhoto then
    currNum = currNum - 1
    go("SlideShow Stop")
  else
    put currNum & "/" & totalPhoto into field "count"
    currPhoto = thumbList[currNum]
    sprite(pictChan).member = member(currPhoto & ".TIF")
  end if
end

on endSprite me
  (the timeOutList).deleteOne(timeout("slide"))
end
