property myPath, ext
global currPhoto, gSep

on getPropertyDescriptionList
  description = [#myPath: [#comment: "folder for printable photos (relative to the movie)", #default: "Print", #format: #string], #ext: [#comment: "file type for the printable photos", #default: ".pct", #range: [".pct", ".eps", ".bmp"], #format: #string]]
  return description
end

on beginSprite me
  myPath = fixPath(myPath)
end

on mouseUp me
  pictFile = the moviePath & myPath & currPhoto & ext
  printDoc = new(xtra("PrintOMatic"))
  setLandscapeMode(printDoc, 1)
  newPage(printDoc)
  drawPicture(printDoc, pictFile, rect(0, 0, 640, 480))
  if doJobSetup(printDoc) then
    print(printDoc)
  end if
end
